From 599fad85bf78d3b3421a4d8f833e618932afd1ca Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Oct 04 2020 04:21:32 +0000
Subject: [PATCH 965/2232] Debug impl for OrderedSet


---

diff --git a/syntax/set.rs b/syntax/set.rs
index de13088..b553169 100644
--- a/syntax/set.rs
+++ b/syntax/set.rs
@@ -1,4 +1,5 @@
 use std::collections::HashSet;
+use std::fmt::{self, Debug};
 use std::hash::Hash;
 use std::slice;
 
@@ -47,3 +48,12 @@ impl<'s, 'a, T> Iterator for Iter<'s, 'a, T> {
         self.0.next().copied()
     }
 }
+
+impl<'a, T> Debug for OrderedSet<&'a T>
+where
+    T: Debug,
+{
+    fn fmt(&self, formatter: &mut fmt::Formatter) -> fmt::Result {
+        formatter.debug_set().entries(self).finish()
+    }
+}

